@mixin alpha-attribute($attribute, $color, $background) {
    $percent : alpha($color) * 100%;
    $opaque : opacify($color, 1);
    $solid-color : mix($opaque, $background, $percent);
    #{$attribute}: $solid-color;
    #{$attribute}: $color;
}